Incus - Command line client(1)

NAME

incus-remote-add - Add new remote servers

SYNOPSIS

incus remote add [] [flags]

DESCRIPTION

Description:
  Add new remote servers

URL for remote resources must be HTTPS (https://).

Basic authentication can be used when combined with the "simplestreams" protocol:
    incus remote add some-name https://LOGIN:PASSWORD@example.com/some/path --protocol=simplestreams

OPTIONS

--accept-certificate[=false]
    Accept certificate

--auth-type=""
    Server authentication type (tls or oidc)``

--project=""
    Project to use for the remote``

--protocol=""
    Server protocol (incus or simplestreams)``

--public[=false]
    Public image server

--token=""
    Remote trust token``

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

SEE ALSO

incus-remote(1)

HISTORY

27-Apr-2025 Auto generated by spf13/cobra